#include <cstdlib>
#include <iostream>

#include "TabellaHash.h"

using namespace std;

int main(int argc, char *argv[])
{
    TabellaHash<int> t(100);
     
    cout << "IN  ";
    for(int n=0; n<min(100,rand()); n+=2)
    {
        int e = rand()%100;
        t.insert(e,n);
        cout << "Insertion of (" << e << ";" << n << ")" << endl;  
    }

    for(int n=0; n<100; n++)
    {
        int e;
        if (t.search(e,n))
           cout << "Element " << e << " with key " << n << " found!" << endl;
        else
           cout << "Element with key " << n << " not found!" << endl;
        t.del(n);
    }   
    system("PAUSE");
    return EXIT_SUCCESS;
}
